Subject: [Errata Rejected] RFC7231 (4734)

From: RFC Errata System <[email-masked]>
Date: Wed, 25 Jan 2017 15:20:08 -0800 (PST)

The following errata report has been rejected for RFC7231,
"Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7231&eid=4734

--------------------------------------
Status: Rejected
Type: Editorial

Reported by: Alexey Blyshko <[email-masked]>
Date Reported: 2016-07-06
Rejected by: RFC Editor  

Section: 5.3.5

Original Text
-------------
   The "Accept-Language" header field can be used by user agents to
   indicate the set of natural languages that are preferred in the
   response.  Language tags are defined in Section 3.1.3.1.

     Accept-Language = 1#( language-range [ weight ] )
     language-range  =
               <language-range, see [RFC4647], Section 2.1>

   Each language-range can be given an associated quality value
   representing an estimate of the user's preference for the languages
   specified by that range, as defined in Section 5.3.1.  For example,

     Accept-Language: da, en-gb;q=0.8, en;q=0.7

   would mean: "I prefer Danish, but will accept British English and
   other types of English".

Corrected Text
--------------
   The "Accept-Language" header field can be used by user agents to
   indicate the set of natural languages that are preferred in the
   response.  Language tags are defined in Section 3.1.3.1.

     Accept-Language = 1#( language-range [ weight ] )
     language-range  =
               <language-range, see [RFC5646], Section 2.1>

   Each language-range can be given an associated quality value
   representing an estimate of the user's preference for the languages
   specified by that range, as defined in Section 5.3.1.  For example,

     Accept-Language: da, en-GB;q=0.8, en;q=0.7

   would mean: "I prefer Danish, but will accept British English and
   other types of English".

Notes
-----
RFC4647 -> RFC5646
en-gb      -> en-GB

 --VERIFIER NOTES-- 
Rejected per Mark Nottingham (chair of HTTPBIS WG):
As far as I can tell, language-range is defined in RFC 4647, not in RFC 5646. So the change as proposed seems to be incorrect. (See BCP 47.)

The other change, from 'en-gb' to 'en-GB', may be seen as a tiny stylistic improvement (because the 'canonical' way to write country codes in language tags is upper case), but is not at all required (because language tags are case-insensitive).

--------------------------------------
RFC7231 (draft-ietf-httpbis-p2-semantics-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF